package com.engine.recruit.entity.card.process;

import org.apache.commons.lang3.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2024/08/07
 * @version: 1.0
 */
public class BackProcess {
    public static final String ICON_NAME = "back.png";
    public static final String TITLE = "最近背调";

    private String dcrq;
    private String dcjg;

    public String getDcrq() {
        return dcrq;
    }

    public void setDcrq(String dcrq) {
        this.dcrq = dcrq;
    }

    public String getDcjg() {
        if ("0".equals(dcjg)) {
            return "通过";
        } else if ("1".equals(dcjg)) {
            return "不通过";
        }
        return "待定";
    }

    public void setDcjg(String dcjg) {
        this.dcjg = dcjg;
    }

    @Override
    public String toString() {
        if (StringUtils.isBlank(dcjg)) {
            return "暂无背调结果";
        } else {
            return getDcrq() + " " + getDcjg();
        }
    }
}
